aboutsummaryrefslogtreecommitdiff
path: root/contrib/bsddialog/examples_utility/checklist.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/bsddialog/examples_utility/checklist.sh')
-rwxr-xr-xcontrib/bsddialog/examples_utility/checklist.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/contrib/bsddialog/examples_utility/checklist.sh b/contrib/bsddialog/examples_utility/checklist.sh
new file mode 100755
index 000000000000..7ff525cf765d
--- /dev/null
+++ b/contrib/bsddialog/examples_utility/checklist.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+#-
+# SPDX-License-Identifier: CC0-1.0
+#
+# Written in 2021 by Alfonso Sabato Siciliano.
+#
+# To the extent possible under law, the author has dedicated all copyright
+# and related and neighboring rights to this software to the public domain
+# worldwide. This software is distributed without any warranty, see:
+# <http://creativecommons.org/publicdomain/zero/1.0/>.
+
+: ${BSDDIALOG_ERROR=255}
+: ${BSDDIALOG_OK=0}
+: ${BSDDIALOG_CANCEL=1}
+: ${BSDDIALOG_ESC=5}
+
+ITEMS=$(./bsddialog --title " checklist " --checklist "Hello World!" 15 30 5 \
+ "1 Name" "DESC 1 xyz" on \
+ "2 Name" "DESC 2 xyz" off \
+ "3 Name" "DESC 3 xyz" on \
+ "4 Name" "DESC 4 xyz" off \
+ "5 Name" "DESC 5 xyz" on \
+3>&1 1>&2 2>&3 3>&-)
+
+case $? in
+ $BSDDIALOG_ERROR )
+ exit 1
+ ;;
+ $BSDDIALOG_ESC )
+ echo "[ESC]"
+ ;;
+ $BSDDIALOG_CANCEL )
+ echo "[Cancel]"
+ ;;
+ $BSDDIALOG_OK )
+ echo "[OK] $ITEMS"
+ ;;
+esac